# save-session(3)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

save-session - Write session information to session file

## SYNOPSIS

n save-session "session-file"

## DESCRIPTION

save-session writes out MicroEmacs 2009's current session information into the given session file.

The command read-session(3) can set a default session file in which case the session is automatically written out to this file if an argument of zero is given; the user is not prompted for a file. MicroEmacs 2009 automatically tries to write the default session whenever it is exited.

## NOTES

The session information is saved in a ascii format file (see esf(8)). Reference should be made to the notes included in esf(8) as to how the session file may be edited and effected in the same MicroEmacs 2009 session.

## SEE ALSO

esf(8), @h0(4), read-session(3).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>